Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_to_counted_string

## Name

librdf_node_to_counted_string -- Format the node as a counted string

## Synopsis

``char* `librdf_node_to_counted_string`` (librdf_node* `node`, size_t* `len_p`);`

## Arguments

`node`

  the node object

`len_p`

  pointer to location to store length

## Description

Note a new string is allocated which must be freed by the caller.

## Return value

a string value representing the node or NULL on failure

<<< Previous | Home | Next >>>
librdf_node_to_string | Up | librdf_node_print